Summary: Adobe Acrobat Reader
Name: acroread
Version: 4.05
Release: 6
ExclusiveArch: i386
Copyright: non-free
Group: Applications/Publishing
Source0: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/4.x/linux-ar-405.tar.gz
Source1: acroread.wmconfig
Source2: mini-pdf.xpm
Source3: acroread.kdelnk
Source4: acroread.xpm
Source5: Acroread.desktop
Vendor: Adobe Systems Incorporated
URL: http://www.adobe.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
Prereq: /bin/sed

%package plugin
Summary: Adobe Acrobat Reader plugin for Netsacpe
Group: Applications/Publishing
Requires: netscape-common, acroread = %{version}

%description
Acrobat Reader is part of the Adobe Acrobat family of software, which lets you view, distribute, and print documents in Portable Document Format (PDF)--regardless of the computer, operating system, fonts, or application used to create the original file.  PDF files retain all the formatting, fonts, and graphics of the original document, and virtually any PostScript(TM) document can be converted into a PDF file. Adobe Acrobat Reader have a plug-in for Netscape Navigator to to view PDF files inline

%description plugin
Adobe Acrobat Reader plugin for Netsacpe Navigator and Communicator

%prep
%setup -n ILINXR.install
tar xvf ILINXR.TAR
tar xvf READ.TAR

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/acrobat
cp -a bin Browsers Reader Resource ${RPM_BUILD_ROOT}%{_libdir}/acrobat
mkdir -p ${RPM_BUILD_ROOT}/etc/wmconfig
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/mini
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Applications
#install -m644 ${RPM_SOURCE_DIR}/acroread.wmconfig ${RPM_BUILD_ROOT}/etc/wmconfig
install -m644 ${RPM_SOURCE_DIR}/mini-pdf.xpm \
	${RPM_BUILD_ROOT}%{_datadir}/icons/mini
install -m644 ${RPM_SOURCE_DIR}/acroread.kdelnk \
	${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
install -m644 ${RPM_SOURCE_DIR}/acroread.xpm ${RPM_BUILD_ROOT}%{_datadir}/icons
install -m644 ${RPM_SOURCE_DIR}/Acroread.desktop \
	${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Applications
sed "s|REPLACE_ME|%{_libdir}/acrobat/Reader|g" \
	${RPM_BUILD_ROOT}%{_libdir}/acrobat/bin/acroread.sh > ${RPM_BUILD_ROOT}%{_bindir}/acroread
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/acroread

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults
install Reader/intellinux/app-defaults/AcroRead \
	${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/netscape/plugins
install Browsers/intellinux/nppdf.so \
	${RPM_BUILD_ROOT}%{_libdir}/netscape/plugins

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
sed "s|REPLACE_ME|%{_libdir}/acrobat/Reader|g" \
	%{_libdir}/acrobat/bin/acroread.sh > %{_bindir}/acroread
chmod 755 %{_bindir}/acroread

%files
%defattr(-,root,root,0755)
%doc ReadMe *.TXT INSTALL
%{_libdir}/acrobat/Reader/
%{_libdir}/acrobat/Browsers
%{_libdir}/acrobat/Resource
%{_libdir}/acrobat/bin
%{_bindir}/acroread

%config /usr/X11R6/lib/X11/app-defaults/AcroRead
#%config /etc/wmconfig/acroread.wmconfig
%config /etc/X11/applnk/Applications/acroread.kdelnk
%config %{_datadir}/gnome/apps/Applications/Acroread.desktop
%{_datadir}/icons/acroread.xpm
%{_datadir}/icons/mini/mini-pdf.xpm

%files plugin
%{_libdir}/netscape/plugins/nppdf.so

%changelog
* Mon Oct 01 2001 Peter Sooos <sp@osb.hu> 4.05-6
- Removed the obsoleted wmconfig entry

* Thu May 03 2001 Peter Soos <sp@osb.hu> 4.05-5
- Simplify the postinstall script
- Added GNOME desktop entry
- Include all files into package instead creating symlinks at install time
- Create a separated package for Netscape plugin
- Build with rpm 4

* Sun Jul 30 2000 Peter Soos <sp@osb.hu> 4.05-4
- Some cosmetic changes in pre- and post(un)install scripts

* Thu May 25 2000 Peter Soos <sp@osb.hu> 4.05-3
- Changed the Prefix: to /usr/lib to make similar to other packages and
  eliminate the problem with the /opt directory, wich is not exest it the
  Red Hat Linux and the creation is problematic because of the / filesystem
  is wery small on most system
- Some cosmetic changes in the spec file

* Mon May 22 2000 Christian Wiese <cw@4ix.net> 4.05-2
- insert flexible Prefix entry
- just edit the Prefix entry in acroread.spec and rebuild to change the
  install location
- changed default install directory from "/opt" to "/usr/local" for better
  Red Hat 6.x compatibility

* Sun Mar 12 2000 Peter Soos <sp@osb.hu> 4.05-1
- Moved to glibc based version 4.05
- Now the Acrobat Reader plugin works fine in glibc based Netscape
- Added KDE desktop entry

* Tue Jun 14 1999 Peter Soos <sp@osb.hu> 4.0-1
- Moved to version 4.0 final.

* Sun Apr 18 1999 Peter Soos <sp@osb.hu> 4.0-0
- Moved to version 4.0 beta.

* Fri Feb 05 1999 Peter Soos <sp@osb.hu> 3.02-2
- The acroread-3.02-1.rpm was broken.

* Sat Dec 19 1998 Peter Soos <sp@osb.hu> 3.02-1
- Moved to version 3.02.

* Mon Jun 22 1998 Peter Soos <sp@osb.hu> 3.01-4
- Now using %attr.

* Sun May 31 1998 Peter Soos <sp@osb.hu> 3.01-3
- Removed the automatic Netscape plugin installation because it isn't compatible  with glibc based Netscape versions.

* Sun Dec 28 1997 Peter Soos <sp@osb.hu> 3.01-2
- Some fine tune.
- Added wmconfig support.

* Fri Dec 5 1997 Peter Soos <sp@osb.hu> 3.01-1
- New version. Made the stuff relocatable.
